aboutsummaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorMiquel Sabaté Solà <mikisabate@gmail.com>2024-12-18 12:10:58 +0100
committerMiquel Sabaté Solà <mikisabate@gmail.com>2024-12-18 12:10:58 +0100
commit67b8f1485d205327d5f22150a7b84d3d5fe82219 (patch)
tree194a4ce76b4a8e4f28b4a675458341645ac6e1c8 /scripts
parent82c5c350e569d77e2b05321cda553f388d948aa4 (diff)
downloadtools.nes-67b8f1485d205327d5f22150a7b84d3d5fe82219.tar.gz
tools.nes-67b8f1485d205327d5f22150a7b84d3d5fe82219.zip
scripts: Add a script to perform all tests at once
Signed-off-by: Miquel Sabaté Solà <mikisabate@gmail.com>
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/full-test.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/scripts/full-test.sh b/scripts/full-test.sh
new file mode 100755
index 0000000..f7cd45e
--- /dev/null
+++ b/scripts/full-test.sh
@@ -0,0 +1,16 @@
+#!/usr/bin/env sh
+
+set -ex
+
+cargo build --all --all-targets --all-features
+cargo clippy --all-targets --all-features
+cargo test --all-targets --all-features -- --nocapture
+
+pushd lib/xixanta
+cargo +nightly fuzz run fuzz_target_parser -- -max_total_time=180
+cargo +nightly fuzz run fuzz_target_assembler -- -max_total_time=180
+popd
+
+pushd lib/header
+cargo +nightly fuzz run fuzz_target_header -- -max_total_time=180
+popd